<template>
  <div class="header-main">
    <div class="container-xxl">
      <header-menu-list />
    </div>
  </div>
</template>

<script>
import HeaderMenuList from "~/components/header/header-menu/header-menu-list.vue";
export default {
  components: {HeaderMenuList },
  name: "HeaderMenu",
};
</script>
<style lang="scss">
@import "@/assets/scss/base/variables";
@import "@/assets/scss/base/mixins";
.header-main {
  background-color: $primary;
  @extend %scroll-bar;
  @include breakpoints(lg) {
    overflow: inherit;
  }
  @include breakpoints(max-md) {
    display: none;
    padding: 20px 0;
    max-height: calc(100vh - 86px);
    .navbar {
      flex-direction: column;
    }
  }
  @include breakpoints(max-xs) {
    max-height: calc(100vh - 72px);
  }
  .navbar {
    @include breakpoints(xlg) {
      align-items: center !important;
    }
  }
  li {
    &:first-child {
      @include breakpoints(max-lg) {
        display: none;
      }
    }
  }
  a {
    display: block;
  }
  .nav-item {
    position: relative;
    padding-left: $nav-link-padding-x;
    padding-right: $nav-link-padding-x;
    &:hover,
    &:focus,
    &.active {
      @include breakpoints(lg) {
        .header-sub-list {
          display: block;
        }
        > .nav-link {
          &:before {
            display: block;
          }
        }
      }
    }
  }
}
</style>


